Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.bridge.bmp.jdbc
Interface SmartConnectionPool

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface SmartConnectionPool

Defines the interface for Application Server independent connection pooling. This allows for specification of Connection objects at deployment time.

Method Summary
`Connection` | `getConnection()` Deprecated See BEA Commerce product offering
`void` | `releaseConnection(Connection connection)` Deprecated See BEA Commerce product offering
`void` | `setJNDIContext(Context JNDIContext)` Deprecated See BEA Commerce product offering

Method Detail

### setJNDIContext

    void setJNDIContext(Context JNDIContext)
                        throws BMPException

  Deprecated See BEA Commerce product offering

  Inform provider of ejbContext. The implementation of this interface has have a public, default no-args constructor. The provider relies on properties in the bean's deployment descriptor as documented in a provider or Theory Center specified protocol.

  Parameters
    `ejbContext` - the bean's ejbContext.
  Throws
    `BMPException`

### getConnection

    Connection getConnection()
                             throws BMPException

  Deprecated See BEA Commerce product offering

  Returns the SQL Connection for this Transaction. The actual implementation may choose to implement connection pooling etc.

  Returns
    conn Connection object.
  Throws
    `BMPException` - implementation specific exception occurred

### releaseConnection

    void releaseConnection(Connection connection)
                           throws BMPException

  Deprecated See BEA Commerce product offering

  Releases the SQL Connection for this Transaction.

  Parameters
    `conn` - Connection object.
  Throws
    `BMPException` - implementation specific exception occurred

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved